accessSafiDesign <- function(s.d, n.inkr){
  if(class(s.d)!= "safidesign")
    stop("object class is not safidesign")
  if (length(n.inkr) != s.d$d.f){
    stop("n.inkr must be vector of length d.f")
  }
  split.points <- s.d$split.points
  DoE <- s.d$DoE
  DoE.new <- vector("list", length(n.inkr))
  n <- 0
  
  for (i in 1:length(n.inkr)){
    anzahl <- diff(round(split.points[[i]]*n.inkr[i]))
    DoE.new[[i]] <- as.matrix(data.frame(mapply(function(x, a) kronecker(x, t(rep(1,a))), 
                                               data.frame(DoE[,(n+1):(n+length(anzahl))]), 
                                               anzahl, SIMPLIFY = FALSE))) 
   
    colnames(DoE.new[[i]]) <- NULL                                         
    n <- n + length(anzahl)  
  }
  names(DoE.new) <- paste("g", 1:length(split.points), sep = "")
  return(DoE.new)
}