plot.safidesign <- function(x, ...){
  s.d <- x
  if(class(s.d)!= "safidesign")
    stop("object class is not safidesign")
  l <- s.d$d.f
  m <- accessSafiDesign(s.d, n.inkr = rep(1000, l))
  
  
  if (l > 1) {
    nc <- round(sqrt(l))
    nl <- ceiling(l/nc)
    mfrow <- c(nc, nl)
    par(mfrow=mfrow)
  }
  
  
  
  for (i in 1:length(m)){
  matplot(t(m[[i]]), type = "l", main = paste("x",i,sep=""),xaxt="n", xlab ="input function domain", ylab = "functional input",...)
  axis(1, at=c(0,1000), labels=c(0,1))
  }
  par(mfrow = c(1,1))
}